Mailinglist Archive: opensuse-updates (175 mails)

< Previous Next >
openSUSE-RU-2020:0423-1: moderate: Recommended update for uwsgi
openSUSE Recommended Update: Recommended update for uwsgi
______________________________________________________________________________

Announcement ID: openSUSE-RU-2020:0423-1
Rating: moderate
References: #1082002 #1090695 #1156199
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for uwsgi fixes the following issues:

- Disabled geoip plugin [boo#1156199]
- Fix systemd kill signal (uwsgi does not die on SIGTERM)
- Add reload command to systemd service

Update to upstream release 2.0.18:

* Fixed support for Python 3.7
* Allow to use autoport (socket :0) with custom socket backlog
* pyuwsgi ported to python3
* pyuwsgi packages fixes
* pyuwsginossl build configuration for building pyuwsgi without ssl support
* Fix unix socket inheritance after reload on FreeBSD
* Fix crashes with --wsgi-env-behavior=holy (#1950)
* Fix invalid free in python plugin (#1942)
* Fix compilation warnings with gcc-8 (#1819)
* Fix spooler python references
* Don't generate build warnings in systemd_logger
* Fix segmentation fault during worker shutdown (#1651)

Update to upstream release 2.0.17.1:

* Fixed memory leak in HTTPS_CLIENT_CERTIFICATE
* TLSv1 is now disabled by default
* Improved daemons throttle system
* Add “secs” log formatting variable
* Improved snprintf() usage to be OpenBSD-friendly
* Improved glibc crypt/crypt_r management
* Fixed websocket pong timeout check
* Add the “License” classifier to setup.py
* Add support for php user.ini
* Official support for Python 3.7

- Don't create a /run directory for Apache on startup. It fails if Apache
is not installed and sockets are defined per-application anyway
(boo#1082002)
- Fix broken build dependency on Leap 15

- Require Apache 2.4.33 for Leap 15 and Tumbleweed because otherwise
mod_proxy_uwsgi is not available (boo#1090695)


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-423=1



Package List:

- openSUSE Leap 15.1 (x86_64):

apache2-mod_uwsgi-2.0.18-lp151.3.3.1
apache2-mod_uwsgi-debuginfo-2.0.18-lp151.3.3.1
uwsgi-2.0.18-lp151.3.3.1
uwsgi-debuginfo-2.0.18-lp151.3.3.1
uwsgi-debugsource-2.0.18-lp151.3.3.1
uwsgi-emperor_pg-2.0.18-lp151.3.3.1
uwsgi-emperor_pg-debuginfo-2.0.18-lp151.3.3.1
uwsgi-emperor_zeromq-2.0.18-lp151.3.3.1
uwsgi-emperor_zeromq-debuginfo-2.0.18-lp151.3.3.1
uwsgi-gevent-2.0.18-lp151.3.3.1
uwsgi-gevent-debuginfo-2.0.18-lp151.3.3.1
uwsgi-glusterfs-2.0.18-lp151.3.3.1
uwsgi-glusterfs-debuginfo-2.0.18-lp151.3.3.1
uwsgi-greenlet-2.0.18-lp151.3.3.1
uwsgi-greenlet-debuginfo-2.0.18-lp151.3.3.1
uwsgi-jvm-2.0.18-lp151.3.3.1
uwsgi-jvm-debuginfo-2.0.18-lp151.3.3.1
uwsgi-ldap-2.0.18-lp151.3.3.1
uwsgi-ldap-debuginfo-2.0.18-lp151.3.3.1
uwsgi-libffi-2.0.18-lp151.3.3.1
uwsgi-libffi-debuginfo-2.0.18-lp151.3.3.1
uwsgi-logzmq-2.0.18-lp151.3.3.1
uwsgi-logzmq-debuginfo-2.0.18-lp151.3.3.1
uwsgi-lua-2.0.18-lp151.3.3.1
uwsgi-lua-debuginfo-2.0.18-lp151.3.3.1
uwsgi-pam-2.0.18-lp151.3.3.1
uwsgi-pam-debuginfo-2.0.18-lp151.3.3.1
uwsgi-php7-2.0.18-lp151.3.3.1
uwsgi-php7-debuginfo-2.0.18-lp151.3.3.1
uwsgi-psgi-2.0.18-lp151.3.3.1
uwsgi-psgi-debuginfo-2.0.18-lp151.3.3.1
uwsgi-pypy-2.0.18-lp151.3.3.1
uwsgi-pypy-debuginfo-2.0.18-lp151.3.3.1
uwsgi-python-2.0.18-lp151.3.3.1
uwsgi-python-debuginfo-2.0.18-lp151.3.3.1
uwsgi-python3-2.0.18-lp151.3.3.1
uwsgi-python3-debuginfo-2.0.18-lp151.3.3.1
uwsgi-sqlite3-2.0.18-lp151.3.3.1
uwsgi-sqlite3-debuginfo-2.0.18-lp151.3.3.1
uwsgi-xslt-2.0.18-lp151.3.3.1
uwsgi-xslt-debuginfo-2.0.18-lp151.3.3.1


References:

https://bugzilla.suse.com/1082002
https://bugzilla.suse.com/1090695
https://bugzilla.suse.com/1156199


< Previous Next >
This Thread
  • No further messages